Entrar

Vincular ref de person (por role)

PUT https://{organization}.myguper.com/api/register/{interface}/person/{role}/{refId}

Vincula este refId + {role} a uma person existente (passada por personId). Idempotente. Retorna 404 se a person não existe na org. Persons NÃO são criadas via external_ref - devem já existir (use endpoints de register customer/person para criar).

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Corpo da requisição

Content-Type: application/json

{
    "personId": 620977
}

Respostas

{"id":620977,"name":"Alice","_ref":{"source":"vtex","refId":"99","role":"cashier"},"_linked":true}
Copied to clipboard